-- Reload recipes and technologies
for i, player in ipairs(game.players) do
  player.force.reset_recipes()
  player.force.reset_technologies()
end

for index, force in pairs(game.forces) do
  -- Generate technology and recipe tables
  local tech = force.technologies
  local recipes = force.recipes
  
	if force.technologies["circuit-network"].researched then 
   force.recipes["smart-chest-sam"].enabled = true
	end
	if force.technologies["logistics"].researched then 
   force.recipes["fast-inserter-sam"].enabled = true
	end
	if force.technologies["logistics-2"].researched then 
   force.recipes["fast-transport-belt-sam"].enabled = true
	end
	if force.technologies["logistics-3"].researched then 
   force.recipes["express-transport-belt-sam"].enabled = true
	end
	if force.technologies["automation"].researched then 
   force.recipes["long-handed-inserter-sam"].enabled = true
	end
	if force.technologies["electronics"].researched then 
   force.recipes["smart-inserter-sam"].enabled = true
	end
	if force.technologies["electric-energy-distribution-2"].researched then 
   force.recipes["substation-sam"].enabled = true
	end
end

 

	
