data:extend({
  --Groups
  {
    type = "item-group",
    name = "SAM",
    order = "x",
    inventory_order = "e",
    icon = "__Super_assembling_machine__/graphics/technology/sam.png"
  },
  {
    type = "item-group",
    name = "sam-recipe",
    order = "y",
    inventory_order = "e",
    icon = "__Super_assembling_machine__/graphics/technology/sam-r.png"
  },
  {
    type = "recipe-category",
    name = "sam-crafting",
	hidden= "false"
  },
  {
    type = "recipe-category",
    name = "sam-advanced-crafting",
	hidden= "true"
  },
  {
    type = "recipe-category",
    name = "sam-crafting-with-fluid",
	hidden= "false"
  },
   {
    type = "recipe-category",
    name = "chemistry-sam",
	hidden= "false"
  },
  {
      type = "item-subgroup",
      name = "sam-buildings",
      group = "SAM",
      order = "a",
    },
	{
      type = "item-subgroup",
      name = "sam-items",
      group = "SAM",
      order = "b",
    },
 	{
    type = "item-subgroup",
    name = "sam-a+c",
    group = "sam-recipe",
    order = "c",
	hidden ="false"
  },
  {
    type = "item-subgroup",
    name = "sam-basics",
    group = "sam-recipe",
    order = "b",
	hidden ="false"
  },
   	{
    type = "item-subgroup",
    name = "sam-rb",
    group = "sam-recipe",
    order = "a",
	hidden ="false"
  },
  {
    type = "item-subgroup",
    name = "sam-tools",
    group = "sam-recipe",
    order = "d",
	hidden ="false"
  },
   {
    type = "item-subgroup",
    name = "sam-transport",
    group = "sam-recipe",
    order = "e",
	hidden ="false"
  },
  {
    type = "item-subgroup",
    name = "sam-electronic",
    group = "sam-recipe",
    order = "f",
	hidden ="false"
  },
    {
    type = "item-subgroup",
    name = "sam-inserter",
    group = "sam-recipe",
    order = "g",
	hidden ="false"
  },
    {
    type = "item-subgroup",
    name = "sam-weapons",
    group = "sam-recipe",
    order = "h",
	hidden ="false"
  },
    {
    type = "item-subgroup",
    name = "sam-storage",
    group = "sam-recipe",
    order = "i",
	hidden ="false"
  },
     {
    type = "item-subgroup",
    name = "sam-science",
    group = "sam-recipe",
    order = "j",
	hidden ="false"
  },
   {
    type = "item-subgroup",
    name = "sam-chem",
    group = "sam-recipe",
    order = "k",
	hidden ="false"
  },
  {
    type = "item-subgroup",
    name = "sam-circuit",
    group = "sam-recipe",
    order = "l",
	hidden ="false"
  },
 {
    type = "recipe",
    name = "Super-assembling-machine",
    enabled = "false",
    ingredients =
    {
      {"iron-plate", 200},
	{"copper-plate", 220},
	{"coal", 200},
        },
    result = "Super-assembling-machine"
  },
  {
    type = "recipe",
    name = "Super-assembling-machine-2",
	category = "sam-advanced-crafting",
	subgroup = "sam-rb",
	order = "z",
    enabled = "false",
	hidden = "false",
    ingredients =
    {
      {"iron-plate", 148},
	{"copper-plate", 148},
	{"coal", 80},
	{"sam-circuit", 12},
	  },
    result = "Super-assembling-machine"
  },
  {
    type = "recipe",
    name = "chemical-plant-sam",
	category = "sam-advanced-crafting",
	subgroup = "sam-rb",
	order = "z",
    enabled = "false",
	hidden = "false",
    ingredients =
    {
      {"iron-plate", 20},
	{"copper-plate", 8},
	{"steel-plate", 5},
	{"sam-circuit", 2},
	  },
    result = "chemical-plant-sam"
  },
  
  {
  type = "recipe",
  name = "sam-circuit",
  category = "sam-advanced-crafting",
  subgroup = "sam-items",
  enabled = "false",
  energy_required = 8,
  ingredients = 
  {
	{"iron-plate", 5},
	{"copper-plate", 10},
	{"coal", 15}
	},
	result = "sam-circuit",
	result_count = 2
	},
	
	--chest---
	
  
	{
  type = "recipe",
  name = "logistic-chest-active-provider-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-storage",
  enabled = "false",
  energy_required = 4,
  ingredients = 
  {
	{"iron-plate", 5},
	{"copper-plate", 10},
	{"steel-plate", 8},
	{"plastic-bar", 2},
	{"sam-circuit", 1}
	},
	result = "logistic-chest-active-provider"
	},
	{
	type = "recipe",
	name = "logistic-chest-requester-sam",
	category = "sam-advanced-crafting",
	subgroup = "sam-storage",
	enabled = "false",
	energy_required = 4,
	ingredients = 
	{
		{"iron-plate", 5},
		{"copper-plate", 10},
		{"steel-plate", 8},
		{"plastic-bar", 2},
		{"sam-circuit", 1}
	},
	result = "logistic-chest-requester"
	},
	{
	type = "recipe",
	name = "logistic-chest-passive-provider-sam",
	category = "sam-advanced-crafting",
	subgroup = "sam-storage",
	enabled = "false",
	energy_required = 4,
	ingredients = 
	{
		{"iron-plate", 5},
		{"copper-plate", 10},
		{"steel-plate", 8},
		{"plastic-bar", 2},
		{"sam-circuit", 1}
	},
	result = "logistic-chest-passive-provider"
	},
	{
	type = "recipe",
	name = "logistic-chest-storage-sam",
	category = "sam-advanced-crafting",
	subgroup = "sam-storage",
	enabled = "false",
	energy_required = 4,
	ingredients = 
	{
		{"iron-plate", 5},
		{"copper-plate", 10},
		{"steel-plate", 8},
		{"plastic-bar", 2},
		{"sam-circuit", 1}
	},
	result = "logistic-chest-storage"
	},
	---transport---
{
  type = "recipe",
  name = "basic-transport-belt-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-transport",
  energy_required = 4,
  ingredients = 
  {
	{"iron-plate", 3},
	{"sam-circuit", 1}
	},
	result = "transport-belt",
	result_count = 2
},
{
  type = "recipe",
  name = "fast-transport-belt-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-transport",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 12},
	{"sam-circuit", 1}
	},
	result = "fast-transport-belt",
	result_count = 1
},
{
  type = "recipe",
  name = "express-transport-belt-sam",
  category = "sam-crafting-with-fluid",
  subgroup = "sam-transport",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 22},
	{"sam-circuit", 1},
	{type="fluid",name="lubricant", amount=2}
	},
	result = "express-transport-belt",
	result_count = 1
},
{
  type = "recipe",
  name = "logistic-robot-sam",
  category = "sam-crafting-with-fluid",
  subgroup = "sam-transport",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 13},
	{"copper-plate", 19},
	{"steel-plate", 1},
	{"plastic-bar", 4},
	{"battery", 2},
	{"sam-circuit", 1},
	{type="fluid",name="lubricant", amount=2}
	},
	result = "logistic-robot",
	result_count = 1
},
{
  type = "recipe",
  name = "construction-robot-sam",
  category = "sam-crafting-with-fluid",
  subgroup = "sam-transport",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 11},
	{"copper-plate", 12},
	{"steel-plate", 1},
	{"battery", 2},
	{"sam-circuit", 1},
	{type="fluid",name="lubricant", amount=2}
	},
	result = "construction-robot",
	result_count = 1
},	
{
  type = "recipe",
  name = "roboport-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-transport",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 180},
	{"copper-plate", 225},
	{"steel-plate", 45},
	{"plastic-bar", 90},
	{"sam-circuit", 10},
	},
	result = "roboport",
	result_count = 1
},
---Inserter--

{
  type = "recipe",
  name = "burner-inserter-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-inserter",
  enabled = "true",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 6},
	{"sam-circuit", 1}
	},
	result = "burner-inserter",
	result_count = 2
},	
{
  type = "recipe",
  name = "basic-inserter-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-inserter",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 8},
	{"copper-plate", 3},
	{"sam-circuit", 1}
	},
	result = "inserter",
	result_count = 2
},
{
  type = "recipe",
  name = "long-handed-inserter-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-inserter",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 14},
	{"copper-plate", 3},
	{"sam-circuit", 1}
	},
	result = "long-handed-inserter",
	result_count = 2
},
{
  type = "recipe",
  name = "fast-inserter-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-inserter",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 16},
	{"copper-plate", 9},
	{"sam-circuit", 1}
	},
	result = "fast-inserter",
	result_count = 2
},
{
  type = "recipe",
  name = "smart-inserter-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-inserter",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 24},
	{"copper-plate", 21},
	{"sam-circuit", 1}
	},
	result = "filter-inserter",
	result_count = 2
},
---electronic---
{
  type = "recipe",
  name = "substation-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-electronic",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 10},
	{"copper-plate", 30},
	{"steel-plate", 10},
	{"plastic-bar", 10},
	{"sam-circuit", 1}
	},
	result = "substation",
	result_count = 1
},
{
  type = "recipe",
  name = "small-lamp-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-electronic",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 7},
	{"copper-plate", 3},
	{"sam-circuit", 1}
	},
	result = "small-lamp",
	result_count = 2
},
{
  type = "recipe",
  name = "solar-panel-sam",
   enabled = "false",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 30},
	{"copper-plate", 25},
	{"steel-plate", 10},
	{"sam-circuit", 2}
	},
	result = "solar-panel",
	result_count = 2
},

---basics---
{
  type = "recipe",
  name = "boiler-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
  energy_required = 6,
  ingredients = 
  {
	{"stone", 5},
	{"iron-plate", 1},
	{"sam-circuit", 1}
	},
	result = "boiler",
	result_count = 1
},
{
  type = "recipe",
  name = "steam-engine-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 20},
	{"sam-circuit", 1}
	},
	result = "steam-engine",
	result_count = 1
},
{
  type = "recipe",
  name = "burner-mining-drill-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 9},
	{"stone", 5},
	{"sam-circuit", 1}
	},
	result = "burner-mining-drill",
	result_count = 1
},	
{
  type = "recipe",
  name = "basic-mining-drill-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 46},
	{"copper-plate", 9},
	{"sam-circuit", 2}
	},
	result = "electric-mining-drill",
	result_count = 2
},
{
  type = "recipe",
  name = "offshore-pump-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 5},
	{"copper-plate", 3},
	{"sam-circuit", 1}
	},
	result = "offshore-pump",
	result_count = 1
},
{
  type = "recipe",
  name = "pumpjack-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
   enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 40},
	{"copper-plate", 15},
	{"steel-plate", 15},
	{"sam-circuit", 1}
	},
	result = "pumpjack",
	result_count = 1
},
{
  type = "recipe",
  name = "electric-furnace-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-basics",
  energy_required = 6,
   enabled = "false",
  ingredients = 
  {
	{"iron-plate", 10},
	{"copper-plate", 25},
	{"steel-plate", 15},
	{"plastic-bar", 10},
	{"stone-brick", 10},
	{"sam-circuit", 1}
	},
	result = "electric-furnace",
	result_count = 1
},	

---sam-rb---	
{
  type = "recipe",
  name = "assembling-machine-1-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-rb",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 44},
	{"copper-plate", 9},
	{"sam-circuit", 1}
	},
	result = "assembling-machine-1",
	result_count = 2
},
{
  type = "recipe",
  name = "assembling-machine-2-sam",
  category = "sam-advanced-crafting",
   enabled = "false",
  subgroup = "sam-rb",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 44},
	{"copper-plate", 9},
	{"sam-circuit", 2}
	},
	result = "assembling-machine-2",
	result_count = 1
},
{
  type = "recipe",
  name = "assembling-machine-3-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-rb",
   enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 148},
	{"copper-plate", 148},
	{"plastic-bar", 40},
	{"sam-circuit", 3}
	},
	result = "assembling-machine-3",
	result_count = 1
},
{
  type = "recipe",
  name = "lab-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-rb",
   enabled = "true",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 36},
	{"copper-plate", 15},
	{"sam-circuit", 1}
	},
	result = "lab",
	result_count = 1
},
---sam-circuit---
{
  type = "recipe",
  name = "electronic-circuit-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-circuit",
   enabled = "true",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 4},
	{"copper-plate", 6},
	{"sam-circuit", 1}
	},
	result = "electronic-circuit",
	result_count = 4
},
{
  type = "recipe",
  name = "advanced-circuit-sam",
  category = "sam-advanced-crafting",
  subgroup = "sam-circuit",
   enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 4},
	{"copper-plate", 10},
	{"plastic-bar", 4},
	{"sam-circuit", 2}
	},
	result = "advanced-circuit",
	result_count = 2
},
{
  type = "recipe",
  name = "processing-unit-sam",
  category = "sam-crafting-with-fluid",
  subgroup = "sam-circuit",
   enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 24},
	{"copper-plate", 40},
	{"plastic-bar", 4},
	{"sam-circuit", 3},
	{type="fluid",name="sulfuric-acid", amount=1}
	},
	result = "processing-unit",
	result_count = 1
},
---science---
{
  type = "recipe",
  name = "science-pack-1-sam",
  category = "sam-crafting-with-fluid",
  subgroup = "sam-science",
   enabled = "true",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 8},
	{"copper-plate", 4},
	{"sam-circuit", 1},
	},
	result = "science-pack-1",
	result_count = 4
},
{
  type = "recipe",
  name = "science-pack-2-sam",
  category = "sam-crafting-with-fluid",
  subgroup = "sam-science",
   enabled = "true",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 11},
	{"copper-plate", 3},
	{"sam-circuit", 2},
	},
	result = "science-pack-2",
	result_count = 2
},
{
  type = "recipe",
  name = "science-pack-3-sam",
  category = "sam-crafting-with-fluid",
  subgroup = "sam-science",
   enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 14},
	{"copper-plate", 16},
	{"steel-plate", 1},
	{"plastic-bar", 2},
	{"battery", 1},
	{"sam-circuit", 3},
	},
	result = "science-pack-3",
	result_count = 1
},		

---Chemistry----
{
  type = "recipe",
  name = "battery-sam",
  category = "chemistry-sam",
  subgroup = "sam-chem",
  enabled = "false",
  energy_required = 6,
  ingredients = 
  {
	{"iron-plate", 3},
	{"copper-plate", 1},
	{type="fluid",name="water", amount=20},
	{"sulfur", 10},
	{"sam-circuit", 2},
	},
	result = "battery",
	result_count = 1
},		
  })

